From b2b219e6ee412301b8ae5eb733cae05c527005cd Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Sat, 25 Aug 2012 13:28:43 +0200
Subject: Make the ApiTemplateHandler Rails3 compatible

--HG--
extra : source : 3e3c3339b4e6cbfb2f3ea4b13df2fbf28a155101
---
 lib/redmine/views/api_template_handler.rb |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

diff --git a/lib/redmine/views/api_template_handler.rb b/lib/redmine/views/api_template_handler.rb
index 0b22641..fdbb3d4 100644
--- a/lib/redmine/views/api_template_handler.rb
+++ b/lib/redmine/views/api_template_handler.rb
@@ -14,10 +14,8 @@
 
 module Redmine
   module Views
-    class ApiTemplateHandler < ActionView::TemplateHandler
-      include ActionView::TemplateHandlers::Compilable
-
-      def compile(template)
+    class ApiTemplateHandler
+      def self.call(template)
         "Redmine::Views::Builders.for(params[:format]) do |api|; #{template.source}; self.output_buffer = api.output; end"
       end
     end
-- 
1.7.1


